random File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_experimental_randint
#define | _GLIBCXX_EXPERIMENTAL_RANDOM

## Functions

std::default_random_engine & | std::experimental::_S_randint_engine ()
template<typename _IntType >
_IntType | std::experimental::randint (_IntType __a, _IntType __b)
void | std::experimental::reseed ()
void | std::experimental::reseed (default_random_engine::result_type __value)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/random.

## Macro Definition Documentation

## __cpp_lib_experimental_randint

#define __cpp_lib_experimental_randint

Definition at line 41 of file experimental/random.

## _GLIBCXX_EXPERIMENTAL_RANDOM

#define _GLIBCXX_EXPERIMENTAL_RANDOM

Definition at line 30 of file experimental/random.

## Function Documentation

## _S_randint_engine()

std::default_random_engine & std::experimental::fundamentals_v2::_S_randint_engine | ( |  | ) |

inline

Definition at line 44 of file experimental/random.

## randint()

template<typename _IntType >

_IntType std::experimental::fundamentals_v2::randint | ( | _IntType | __a,
|  | _IntType | __b
| ) |  |

inline

Definition at line 53 of file experimental/random.

## reseed() [1/2]

void std::experimental::fundamentals_v2::reseed | ( |  | ) |

inline

Definition at line 65 of file experimental/random.

## reseed() [2/2]

void std::experimental::fundamentals_v2::reseed | ( | default_random_engine::result_type | __value | ) |

inline

Definition at line 71 of file experimental/random.